package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.common.utils.PageUtils;
import com.lz.modules.flow.entity.FlowManager;
import com.lz.modules.flow.model.FlowDto;

import java.util.List;
import java.util.Map;

/**
* <p>
* 流程管理表 服务类
* </p>
*
* @author quyixiao
* @since 2020-09-22
*/
public interface FlowManagerService extends IService<FlowManager> {



	FlowManager selectFlowManagerById(Long id);


	Long insertFlowManager(FlowManager flowManager);


	int updateFlowManagerById(FlowManager flowManager);


	int updateCoverFlowManagerById(FlowManager flowManager);


	int deleteFlowManagerById(Long id);


	PageUtils queryPage(Map<String, Object> params);

	void deleteBatchIds(List<Long> asList);

	List<FlowDto> getFowList();
}